(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/wvBug.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'e1b90/rohdEk4SdmmEZANaD', 'wvBug', __filename);
// Script/wvBug.ts

Object.defineProperty(exports, "__esModule", { value: true });
var _a = cc._decorator, ccclass = _a.ccclass, property = _a.property;
var WVBug = /** @class */ (function (_super) {
    __extends(WVBug, _super);
    function WVBug() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.wv = null;
        _this.msg = null;
        _this.webHost = "http://10.0.0.12:8080/";
        _this.scheme = "subgamepage";
        _this.loadStatus = -1; // -1未加载 0加载中 1出错 2完成
        return _this;
    }
    WVBug.prototype.onLoad = function () {
        if (this.webHost.length > 0) {
            if (this.webHost[this.webHost.length] != "/")
                this.webHost += "/";
        }
        else {
            console.error("需加载的容器页地址为空");
            return;
        }
        if (CC_JSB) {
            this.setWVUrl(this.webHost + "webviews/native_test.html");
        }
    };
    WVBug.prototype.loadTest = function () {
        if (CC_JSB) {
            this.msg.string += "jsb loadTest()\n";
            this.wv.evaluateJS("test()");
        }
    };
    WVBug.prototype.setWVUrl = function (url) {
        var handler = new cc.Component.EventHandler();
        handler.target = this.node;
        handler.component = "WVBug";
        handler.handler = "wvLoaded";
        handler.customEventData = "";
        this.wv.webviewEvents.push(handler);
        if (CC_JSB) {
            this.wv.setJavascriptInterfaceScheme(this.scheme);
            this.wv.setOnJSCallback(this.nativeCall.bind(this));
        }
        this.wv.url = url;
    };
    WVBug.prototype.nativeCall = function (target, url) {
        console.log("target:", target, " url:", url);
        this.msg.string = url;
        var str = url.replace(this.scheme + "://", "");
        if (str == "closeGame") {
            this.node.destroy();
        }
    };
    WVBug.prototype.wvLoaded = function (wv, et, data) {
        this.msg.string += "event:" + et + "\n";
        if (et === cc.WebView.EventType.LOADED) {
            this.msg.string += "加载完成\n";
            this.loadStatus = 2;
            if (CC_JSB) {
                this.msg.string += "jsb 调用 页面test\n";
                this.wv.evaluateJS("test()");
            }
        }
        else if (et === cc.WebView.EventType.LOADING) {
            this.msg.string += "加载中\n";
            this.loadStatus = 0;
        }
        else if (et === cc.WebView.EventType.ERROR) {
            this.loadStatus = 1;
            console.error("加载时页面出错");
        }
    };
    __decorate([
        property(cc.WebView)
    ], WVBug.prototype, "wv", void 0);
    __decorate([
        property(cc.Label)
    ], WVBug.prototype, "msg", void 0);
    __decorate([
        property(cc.String)
    ], WVBug.prototype, "webHost", void 0);
    WVBug = __decorate([
        ccclass
    ], WVBug);
    return WVBug;
}(cc.Component));
exports.WVBug = WVBug;

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=wvBug.js.map
        